osgGA::GUIEventAdapter::TouchData Class Reference

`#include <GUIEventAdapter>`

Inheritance diagram for osgGA::GUIEventAdapter::TouchData:

## Classes

struct | TouchPoint

## Public Types

typedef std::vector< TouchPoint > | TouchSet
typedef TouchSet::iterator | iterator
typedef TouchSet::const_iterator | const_iterator
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }

## Public Member Functions

| TouchData ()
| TouchData (const TouchData &td, const osg::CopyOp &copyop)
| META_Object (osgGA, TouchData)
unsigned int | getNumTouchPoints () const
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
const TouchPoint | get (unsigned int i) const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~TouchData ()
void | addTouchPoint (unsigned int id, TouchPhase phase, float x, float y, unsigned int tap_count)
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

TouchSet | _touches
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Friends

class | GUIEventAdapter

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Member Typedef Documentation

## const_iterator

typedef TouchSet::const_iterator osgGA::GUIEventAdapter::TouchData::const_iterator

## iterator

typedef TouchSet::iterator osgGA::GUIEventAdapter::TouchData::iterator

## TouchSet

typedef std::vector<TouchPoint> osgGA::GUIEventAdapter::TouchData::TouchSet

## Constructor & Destructor Documentation

## TouchData() [1/2]

osgGA::GUIEventAdapter::TouchData::TouchData | ( |  | ) |

inline

References osg::Object::Object().

Referenced by META_Object(), and TouchData().

## TouchData() [2/2]

osgGA::GUIEventAdapter::TouchData::TouchData | ( | const TouchData & | td,
|  | const osg::CopyOp & | copyop )

inline

References _touches, osg::Object::Object(), and TouchData().

## ~TouchData()

virtual osgGA::GUIEventAdapter::TouchData::~TouchData | ( |  | ) |

inline protected virtual

## Member Function Documentation

## addTouchPoint()

void osgGA::GUIEventAdapter::TouchData::addTouchPoint | ( | unsigned int | id,
|  | TouchPhase | phase,
|  | float | x,
|  | float | y,
|  | unsigned int | tap_count )

inline protected

References _touches.

## begin() [1/2]

iterator osgGA::GUIEventAdapter::TouchData::begin | ( |  | ) |

inline

References _touches.

## begin() [2/2]

const_iterator osgGA::GUIEventAdapter::TouchData::begin | ( |  | ) | const

inline

References _touches.

## end() [1/2]

iterator osgGA::GUIEventAdapter::TouchData::end | ( |  | ) |

inline

References _touches.

## end() [2/2]

const_iterator osgGA::GUIEventAdapter::TouchData::end | ( |  | ) | const

inline

References _touches.

## get()

const TouchPoint osgGA::GUIEventAdapter::TouchData::get | ( | unsigned int | i | ) | const

inline

References _touches.

## getNumTouchPoints()

unsigned int osgGA::GUIEventAdapter::TouchData::getNumTouchPoints | ( |  | ) | const

inline

References _touches.

## META_Object()

osgGA::GUIEventAdapter::TouchData::META_Object | ( | osgGA | ,
|  | TouchData | )

References TouchData().

## Friends And Related Symbol Documentation

## GUIEventAdapter

friend class GUIEventAdapter

friend

References GUIEventAdapter.

Referenced by GUIEventAdapter.

## Member Data Documentation

## _touches

TouchSet osgGA::GUIEventAdapter::TouchData::_touches

protected

Referenced by addTouchPoint(), begin(), begin(), end(), end(), get(), getNumTouchPoints(), and TouchData().

The documentation for this class was generated from the following file:

- GUIEventAdapter